Skip to main content
POST
/
v1
/
organizations
/
billing
/
setup-payment-method
Setup Payment Method
curl --request POST \
  --url https://api.mixpeek.com/v1/organizations/billing/setup-payment-method \
  --header 'Authorization: Bearer <token>'
{
  "setup_intent_id": "<string>",
  "client_secret": "<string>",
  "customer_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful Response

Response after creating a SetupIntent.

setup_intent_id
string
required

Stripe SetupIntent ID

Example:

"seti_1ABC2DEF3GHI"

client_secret
string
required

Client secret for Stripe Elements

Example:

"seti_1ABC2DEF3GHI_secret_XYZ"

customer_id
string
required

Stripe Customer ID

Example:

"cus_ABC123DEF456"